﻿
&НаСервере
Процедура ПриСозданииНаСервере(Отказ, СтандартнаяОбработка)
КонецПроцедуры

&НаСервере
Функция ИграНаСервере(ДокОснов)
	// Вставить содержимое обработчика.	
	игра = Документы.Игра.СоздатьДокумент();
	игра.Дата = ТекущаяДата();
	игра.Заполнить(ДокОснов);
	игра.Записать();
	Возврат игра.Ссылка;
КонецФункции

&НаКлиенте
Процедура Игра(Команда)	
	Если Модифицированность Тогда 
		Записать();
	КонецЕсли;	
	игр = ИграНаСервере(Объект.Ссылка);
	ПоказатьЗначение(Новый ОписаниеОповещения("ОбработкаНовойИгры", ЭтотОбъект),игр);
КонецПроцедуры

&НаСервере
Процедура ПослеЗаписиНаСервере(ТекущийОбъект, ПараметрыЗаписи)
	Если НЕ ЗначениеЗаполнено(Объект.УИД) Тогда 
		мз = РегистрыСведений.Выгрузка.СоздатьМенеджерЗаписи();
		мз.ОбъектВыгрузки = Объект.Ссылка;
		мз.Записать();
	КонецЕсли;  	
КонецПроцедуры

&НаКлиенте
Процедура ОбработкаНовойИгры(Результат, ДополнительныеПараметры) Экспорт 
	а = 3;	
КонецПроцедуры

&НаКлиенте
Процедура ПриОткрытии(Отказ)
КонецПроцедуры

&НаКлиенте
Процедура ОбработкаОповещения(ИмяСобытия, Параметр, Источник)
	ДобавитьИгру(Параметр);
	Записать();
КонецПроцедуры

&НаСервере
Процедура ДобавитьИгру(ИграСсылка)
	стр = Объект.Встречи.Добавить();
	стр.Встреча = ИграСсылка;	
КонецПроцедуры
